org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface EnumValue

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, Expression, org.eclipse.emf.common.notify.Notifier, ValueReference
  All Known Implementing Classes:
    EnumValueImpl

      public interface EnumValue
      extends ValueReference

  A representation of the model object 'Enum Value'.

  The following features are supported:

  - `Enumeration`
  - `Literal`
  See Also:
    `PatternLanguagePackage.getEnumValue()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EEnum` | `getEnumeration()` Returns the value of the 'Enumeration' reference.
    `org.eclipse.emf.ecore.EEnumLiteral` | `getLiteral()` Returns the value of the 'Literal' reference.
    `void` | `setEnumeration(org.eclipse.emf.ecore.EEnum value)` Sets the value of the '`Enumeration`' reference.
    `void` | `setLiteral(org.eclipse.emf.ecore.EEnumLiteral value)` Sets the value of the '`Literal`' reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEnumeration

          org.eclipse.emf.ecore.EEnum getEnumeration()

      Returns the value of the 'Enumeration' reference.

      If the meaning of the 'Enumeration' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enumeration' reference.
      See Also:
        `setEnumeration(EEnum)`, `PatternLanguagePackage.getEnumValue_Enumeration()`
      Generated:
      Model:

    - #### setEnumeration

          void setEnumeration(org.eclipse.emf.ecore.EEnum value)

      Sets the value of the '`Enumeration`' reference.
      Parameters:
        `value` - the new value of the 'Enumeration' reference.
      See Also:
        `getEnumeration()`
      Generated:

    - #### getLiteral

          org.eclipse.emf.ecore.EEnumLiteral getLiteral()

      Returns the value of the 'Literal' reference.

      If the meaning of the 'Literal' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Literal' reference.
      See Also:
        `setLiteral(EEnumLiteral)`, `PatternLanguagePackage.getEnumValue_Literal()`
      Generated:
      Model:

    - #### setLiteral

          void setLiteral(org.eclipse.emf.ecore.EEnumLiteral value)

      Sets the value of the '`Literal`' reference.
      Parameters:
        `value` - the new value of the 'Literal' reference.
      See Also:
        `getLiteral()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `ValueReference`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"